--- a/project.clj
+++ b/project.clj
@@ -30,44 +30,44 @@
   :parent-project {:coords [puppetlabs/clj-parent "5.2.15"]
                    :inherit [:managed-dependencies]}
 
-  :dependencies [[org.clojure/clojure]
+  :dependencies [[org.clojure/clojure "1.10.x"]
 
-                 [slingshot]
-                 [clj-commons/clj-yaml]
-                 [org.yaml/snakeyaml]
-                 [commons-lang]
-                 [commons-io]
-
-                 [clj-time]
-                 [grimradical/clj-semver "0.3.0" :exclusions [org.clojure/clojure]]
-                 [prismatic/schema]
-                 [clj-commons/fs]
-                 [liberator]
-                 [org.apache.commons/commons-exec]
-                 [io.dropwizard.metrics/metrics-core]
-
-                 ;; We do not currently use this dependency directly, but
-                 ;; we have documentation that shows how users can use it to
-                 ;; send their logs to logstash, so we include it in the jar.
-                 [net.logstash.logback/logstash-logback-encoder]
-
-                 [puppetlabs/jruby-utils]
-                 [puppetlabs/clj-shell-utils]
-                 [puppetlabs/trapperkeeper]
-                 [puppetlabs/trapperkeeper-webserver-jetty9]
-                 [puppetlabs/trapperkeeper-authorization]
-                 [puppetlabs/trapperkeeper-comidi-metrics]
-                 [puppetlabs/trapperkeeper-metrics]
-                 [puppetlabs/trapperkeeper-scheduler]
-                 [puppetlabs/trapperkeeper-status]
-                 [puppetlabs/trapperkeeper-filesystem-watcher]
-                 [puppetlabs/kitchensink]
-                 [puppetlabs/ssl-utils]
-                 [puppetlabs/ring-middleware]
-                 [puppetlabs/dujour-version-check]
-                 [puppetlabs/http-client]
-                 [puppetlabs/comidi]
-                 [puppetlabs/i18n]]
+                 [slingshot "debian"]
+                 [clj-commons/clj-yaml "debian"]
+                 [org.yaml/snakeyaml "1.x"]
+                 [commons-lang "debian"]
+                 [commons-io "debian"]
+
+                 [clj-time "debian"]
+                 [grimradical/clj-semver "debian" :exclusions [org.clojure/clojure]]
+                 [prismatic/schema "debian"]
+                 [clj-commons/fs "debian"]
+                 [liberator "debian"]
+                 [org.apache.commons/commons-exec "debian"]
+                 [org.quartz-scheduler/quartz "2.x"]
+                 [io.dropwizard.metrics/metrics-core "debian"]
+
+                 [puppetlabs/jruby-utils "debian"]
+                 [puppetlabs/clj-shell-utils "debian"]
+                 [puppetlabs/trapperkeeper "debian"]
+                 [puppetlabs/trapperkeeper-webserver-jetty9 "debian"]
+                 [puppetlabs/trapperkeeper-authorization "debian"]
+                 [puppetlabs/trapperkeeper-comidi-metrics "debian" :exclusions [io.dropwizard.metrics/metrics-core]]
+                 [puppetlabs/trapperkeeper-metrics "debian" :exclusions [io.dropwizard.metrics/metrics-core]]
+                 [puppetlabs/trapperkeeper-scheduler "debian"]
+                 [puppetlabs/trapperkeeper-status "debian"]
+                 [puppetlabs/trapperkeeper-filesystem-watcher "debian"]
+                 [puppetlabs/kitchensink "debian"]
+                 [puppetlabs/ssl-utils "debian"]
+                 [puppetlabs/ring-middleware "debian"]
+                 [puppetlabs/dujour-version-check "debian"]
+                 [puppetlabs/http-client "debian"]
+                 [puppetlabs/comidi "debian"]
+                 [puppetlabs/i18n "debian"]
+
+                 [com.fasterxml.jackson.core/jackson-core "2.x"]
+                 [com.fasterxml.jackson.dataformat/jackson-dataformat-cbor "2.x"]
+                 [com.fasterxml.jackson.dataformat/jackson-dataformat-smile "2.x"]]
 
   :main puppetlabs.trapperkeeper.main
 
@@ -82,10 +82,12 @@
   :repositories [["releases" "https://artifactory.delivery.puppetlabs.net/artifactory/clojure-releases__local/"]
                  ["snapshots" "https://artifactory.delivery.puppetlabs.net/artifactory/clojure-snapshots__local/"]]
 
-  :plugins [[lein-parent "0.3.7"]
-            ;; We have to have this, and it needs to agree with clj-parent
-            ;; until/unless you can have managed plugin dependencies.
-            [puppetlabs/i18n "0.9.2" :hooks false]]
+  :plugins [[puppetlabs/i18n "debian"
+             :hooks false
+             :exclusions [[org.clojure/clojure]
+                          [com.fasterxml.jackson.core/jackson-core]
+                          [com.fasterxml.jackson.dataformat/jackson-dataformat-cbor]
+                          [com.fasterxml.jackson.dataformat/jackson-dataformat-smile]]]]
 
   :uberjar-name "puppet-server-release.jar"
   :lein-ezbake {:vars {:user "puppet"
@@ -113,17 +115,17 @@
   :classifiers [["test" :testutils]]
 
   :profiles {:defaults {:source-paths  ["dev"]
-                        :dependencies  [[org.clojure/tools.namespace]
-                                        [puppetlabs/trapperkeeper-webserver-jetty9 :classifier "test"]
-                                        [puppetlabs/trapperkeeper nil :classifier "test" :scope "test"]
-                                        [puppetlabs/trapperkeeper-metrics :classifier "test" :scope "test"]
-                                        [puppetlabs/kitchensink nil :classifier "test" :scope "test"]
-                                        [ring-basic-authentication]
-                                        [ring/ring-mock]
-                                        [beckon]
-                                        [lambdaisland/uri "1.4.70"]]}
+                        :dependencies  [[org.clojure/tools.namespace "debian"]
+                                        [puppetlabs/trapperkeeper-webserver-jetty9 "debian" :classifier "test"]
+                                        [puppetlabs/trapperkeeper "debian" :classifier "test" :scope "test"]
+                                        [puppetlabs/trapperkeeper-metrics "debian" :classifier "test" :scope "test"]
+                                        [puppetlabs/kitchensink "debian" :classifier "test" :scope "test"]
+                                        [ring-basic-authentication "debian"]
+                                        [ring/ring-mock "debian"]
+                                        [beckon "debian"]
+                                        [lambdaisland/uri "debian"]]}
              :dev [:defaults
-                   {:dependencies [[org.bouncycastle/bcpkix-jdk18on]]}]
+                   {:dependencies [[org.bouncycastle/bcpkix "debian"]]}]
              :fips [:defaults
                     {:dependencies [[org.bouncycastle/bcpkix-fips]
                                     [org.bouncycastle/bc-fips]
@@ -169,7 +171,13 @@
                                                [puppetlabs/trapperkeeper-webserver-jetty9]]
                       :plugins [[puppetlabs/lein-ezbake "2.3.2"]]
                       :name "puppetserver"}
-             :uberjar {:dependencies [[org.bouncycastle/bcpkix-jdk18on]
+             :uberjar {:dependencies [[org.bouncycastle/bcpkix "debian"]
+                                      [org.eclipse.jetty/jetty-jmx "9.x"]
+                                      [org.eclipse.jetty/jetty-proxy "9.x"]
+                                      [org.eclipse.jetty/jetty-server "9.x"]
+                                      [org.eclipse.jetty/jetty-servlet "9.x"]
+                                      [org.eclipse.jetty/jetty-servlets "9.x"]
+                                      [org.eclipse.jetty/jetty-webapp "9.x"]
                                       [puppetlabs/trapperkeeper-webserver-jetty9]]
                        :aot [puppetlabs.trapperkeeper.main
                              puppetlabs.trapperkeeper.services.status.status-service
@@ -251,5 +259,6 @@
   :uberjar-merge-with {"locales.clj"  [(comp read-string slurp)
                                        (fn [new prev]
                                          (if (map? prev) [new prev] (conj prev new)))
-                                       #(spit %1 (pr-str %2))]})
+                                       #(spit %1 (pr-str %2))]}
 
+  :local-repo "/usr/share/maven-repo")
